/*
  Theme Name: Asli Child
  Template: asli
  Theme URI: https://artemsemkin.com/asli/wp/
  Description: This is a child theme of Asli, used for codebase customizations
  Author: Artem Semkin
  Author URI: https://artemsemkin.com/
  Version: 1.0.0
*/

/* TIPOGRAFIA */

a.white {
	color: #ffffff !important;
}

a.black {
	color: #20211F !important;
}



/* HEADER */

.elementor-16611 .header__bar_sticky {
	background-color: #F1F2ED !important;
}


/* MENU */

#menu-omw-main-menu.menu-overlay > li > a {
	font-size: clamp(3rem, 1.6154rem + 6.1538vw, 6rem) !important;
  	text-transform: capitalize !important;
}


footer li.fake-link a {
	font-weight: bold !important;
	cursor: auto;
}


/**************** PAGINE *******************/

/* INDEX */	

body.home .header__wrapper-overlay-menu {
	background-color: #d0c4b8 !important;
}

body.home .section-portfolio-headings-centered__item-media {
	width: 1200px;
	max-width: calc(70vw - var(--gutter-horizontal));
}

body.home .section-portfolio-headings-centered__item {
	padding-bottom: 300px;
}	
	
body.home .section-portfolio-headings-centered__wrapper-button {
	display: none;		
}

/*
body.home .elementor-widget-asli-widget-lightbox-video a.button {
	display: none;
}
	*/

/* THE PROGRAM (NON USATO) */

/* day 1 */
#the-program-day-1 .pricing-table:nth-of-type(1) .pricing-table__background img.of-cover-absolute {
  object-position: center top !important;
}

#the-program-day-1 .pricing-table:nth-of-type(4) .pricing-table__background img.of-cover-absolute,
#the-program-day-1 .pricing-table:nth-of-type(6) .pricing-table__background img.of-cover-absolute {
  object-position: center bottom !important;
}

#the-program-day-1 .pricing-table:nth-of-type(4) {
	margin-top: -1px !important;
}

/* day 2 */
#the-program-day-2 .pricing-table:nth-of-type(2) .pricing-table__content .button,
#the-program-day-2 .pricing-table:nth-of-type(3) .pricing-table__content .button {
	display:  none;
}

#the-program-day-2 .pricing-table:nth-of-type(2) {
	margin-top: -1px !important;
}

#the-program-day-1 .typography-description,
#the-program-day-2 .typography-description {
	padding-left: 30px;
}
	

/**************** PORTFOLIO ELEMENTS *******************/


/* 01 THE EVENT */
/* eng */
body.postid-20771 .elementor-16615 .header__bar_sticky {
	background-color: #d3bba2 !important;
}

body.postid-20771 .elementor-16615 .header__wrapper-overlay-menu {
	background-color: #d3bba2 !important;
}
	


/* 02 THE VENUE */
/* eng */
body.postid-20786 .elementor-16615 .header__bar_sticky {
	background-color: #7e7f9a !important;
}

body.postid-20786 .elementor-16615 .header__wrapper-overlay-menu {
	background-color: #7e7f9a !important;
}

/* the venue */

svg.logo-villa-deste {
	width: 100% !important;
	height: auto !important;

	max-width: 460px !important;
}
	
	

	
/* 03 THE RITUALS */
/* eng */
body.postid-20789 .elementor-16611 .header__bar_sticky {
	background-color: #efefee !important;
}

body.postid-20789 .elementor-16611 .header__wrapper-overlay-menu {
	background-color: #efefee !important;
}


/* Stili base dei link */
.gallery-with-description-links .fixed-wall__wrapper-content-bottom-description a {
  position: relative;       /* necessario per ::after */
  text-decoration: none;    /* togli underline di default */
  display: inline-block;    /* per avere dimensione e posizione controllabile */
}

/* Pseudo-elemento che fa la linea */
.gallery-with-description-links .fixed-wall__wrapper-content-bottom-description:hover a::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  height: 2px;              /* spessore della linea */
  width: 100%;              /* linea lunga quanto il link */
  background: #000;      /* colore underline */
  transform: scaleX(0);     /* parte nascosta inizialmente */
  transform-origin: right;  /* parte da destra */
  transition: transform 0.8s ease-out; /* animazione fluida */
}

/* Quando il link viene “attivato” dall'hover sul parent */
.gallery-with-description-links .fixed-wall__wrapper-content-bottom-description:hover a::after {
  transform: scaleX(1);     /* linea si completa verso sinistra */
  transform-origin: left;
}



/********************** SERVICES - sottopagine THE PROGRAM ***********************/

/* voce menu current The Program + in Main Menu se sono in sottopagine */
.elementor-widget-asli-widget-classic-menu li.current-menu-parent > a {
	color: #fdf9cf !important;
	text-shadow: 0 0 2px rgba(0, 0, 0, 0.35), 0 0 4px rgba(0, 0, 0, 0.15);
}

/*
.elementor-16611 .elementor-widget-asli-widget-classic-menu li.current-menu-parent > a {
	color: #ff573d !important;
}
*/

.elementor-widget-asli-widget-classic-menu li.current-menu-parent .sub-menu > li.current-menu-item a {
	background-color: #65645315 !important;
}

.elementor-widget-asli-widget-classic-menu li.current-menu-parent .sub-menu li:not(.fake-link) a,
.menu-classic .sub-menu > li:not(.fake-link) a {
	font-weight: normal !important;
}

.elementor-widget-asli-widget-classic-menu li.current-menu-parent .sub-menu li.fake-link a:hover,
.menu-classic .sub-menu > li.fake-link a {
	font-weight: bold !important;
	cursor: auto !important;
	background-color: transparent !important;
}

/* 03 THE PROGRAM  - 01 WELCOME */
/* eng */
body.postid-21375 .elementor-16615 .header__bar_sticky {
	background-color: #A69079 !important;
}

body.postid-21375 .elementor-16615 .header__wrapper-overlay-menu {
	background-color: #A69079 !important;
}


/* 03 THE PROGRAM  - 02 PRE-OPENING & NETWORKING */
/* eng */
body.postid-21382 .elementor-16615 .header__bar_sticky {
	background-color: #d3bba2 !important;
}

body.postid-21382 .elementor-16615 .header__wrapper-overlay-menu {
	background-color: #d3bba2 !important;
}


/* 03 THE PROGRAM  - 03 APERITIF & ENTERTAINMENT */
/* eng */
body.postid-21391 .elementor-16615 .header__bar_sticky {
	background-color: #b1b0a0 !important;
}

body.postid-21391 .elementor-16615 .header__wrapper-overlay-menu {
	background-color: #b1b0a0 !important;
}


/* 03 THE PROGRAM  - 04 GALA DINNER */
/* eng */
body.postid-21389 .elementor-16615 .header__bar_sticky {
	background-color: #aca89a !important;
}

body.postid-21389 .elementor-16615 .header__wrapper-overlay-menu {
	background-color: #aca89a !important;
}


/* 03 THE PROGRAM  - 05 ENTERTAINMENT */
/* eng */
body.postid-21611 .elementor-16615 .header__bar_sticky {
	background-color: #000000 !important;
}

body.postid-21611 .elementor-16615 .header__wrapper-overlay-menu {
	background-color: #000000 !important;
}


/* 03 THE PROGRAM  - 06 AFTER PARTY */
/* eng */
body.postid-21393 .elementor-16615 .header__bar_sticky {
	background-color: #d1d1d2 !important;
}

body.postid-21393 .elementor-16615 .header__wrapper-overlay-menu {
	background-color: #d1d1d2 !important;
}


/*
body.postid-21393 .auto-scroll-next	.js-marquee-header__label {
	color: #20211F !important;
}	
body.postid-21393 .auto-scroll-next .auto-scroll-next__link .js-marquee-header__label {
	color: #20211F !important;
}
body.postid-21393 .marquee-header__lane_mask .auto-scroll-next__heading {
	color: #fdf9cf !important;
}
body.postid-21393 .auto-scroll-next_scrolling  .auto-scroll-next__wrapper-button .rotating-button__link {
	color: #20211F !important;
}
*/

/* 03 THE PROGRAM  - 07 MORNING COFFEE & LUXURY BREAKFAST */
/* eng */
body.postid-21616 .elementor-16611 .header__bar_sticky {
	background-color: #E7E6E6 !important;
}

body.postid-21616 .elementor-16611 .header__wrapper-overlay-menu {
	background-color: #E7E6E6 !important;
}


body.postid-21616 .masthead__overlay {
	background-color: rgba(0,0,0,0.25);
}


body.postid-21616 .auto-scroll-next	.js-marquee-header__label {
	color: #20211F !important;
}	
body.postid-21616 .auto-scroll-next .auto-scroll-next__link .js-marquee-header__label {
	color: #20211F !important;
}
body.postid-21616 .marquee-header__lane_mask .auto-scroll-next__heading {
	color: #fdf9cf !important;
}
body.postid-21616 .auto-scroll-next_scrolling  .auto-scroll-next__wrapper-button .rotating-button__link {
	color: #20211F !important;
}



/********************** fine sottopagine ***********************/


/* 04 THE LOVERS */
/* eng */
body.postid-20791 .elementor-16615 .header__bar_sticky {
	background-color: #5A797B !important;
}

body.postid-20791 .elementor-16615 .header__wrapper-overlay-menu {
	background-color: #5A797B !important;
}
	
	

/* 05 THE WEDDING PLANNERS */
/* eng */
body.postid-20793 .elementor-16615 .header__bar_sticky {
	background-color: #9f8f8f !important;
}

body.postid-20793 .elementor-16615 .header__wrapper-overlay-menu {
	background-color: #9f8f8f !important;
}
	

/* 06 THE PARTNERS */
/* eng */
body.postid-20802 .elementor-16615 .header__bar_sticky {
	background-color: #C3AE9E !important;
}

body.postid-20802 .elementor-16615 .header__wrapper-overlay-menu {
	background-color: #C3AE9E !important;
}
	

/* 07 PARTECIPATE */
/* eng */
body.postid-22955 .elementor-16615 .header__bar_sticky {
	background-color: #e8dcde !important;
}

body.postid-22955 .elementor-16615 .header__wrapper-overlay-menu {
	background-color: #e8dcde !important;
}


/* PRIVACY E COOKIE POLICY PAGE IUBENDA EMBED */

#privacy-policy-content h1,
#cookie-policy-content h1 {
	font-size: 42px;
}

#privacy-policy-content h2,
#cookie-policy-content h2 {
	font-size: 36px;
}

#privacy-policy-content h3,
#cookie-policy-content h3 {
	font-size: 30px;
}

#privacy-policy-content h4,
#cookie-policy-content h4 {
	font-size: 22px;
}

#privacy-policy-content summary::marker,
#cookie-policy-content summary::marker {
	content: "";
}

#privacy-policy-content summary figure,
#cookie-policy-content summary figure {
	display: none;
}

#privacy-policy-content summary p,
#cookie-policy-content summary p {
	margin-top: 0.5em;
	margin-bottom: 0.5em;
}

#privacy-policy-content summary h4,
#cookie-policy-content summary h4 {
	background-color: #C3AE9E;
	padding: 10px;

}

	
/* MEDIA QUERIES */	

/* mobile portrait custom */
@media (max-width: 575px) {

	header #menu-the-program-main-menu li > a {
		font-size: 11px;
	}


}

/* mobile landscape custom */
@media (min-width: 576px) and (max-width: 767.98px) and (orientation: landscape) {
  

}


/* mobile portrait (Elementor) */
@media screen and (max-width: 767px) {

	/* header */

	header a.logo {
		padding: 0 !important;
	}

	header .elementor-widget-asli-widget-classic-menu {
		border-right: 1px solid #FFFFFF33;
	}

	
	/* index */

	body.home .section-portfolio-headings-centered__item-media {
		max-width: calc(90vw - var(--gutter-horizontal));
	}

	body.home .section-portfolio-headings-centered__item {
		padding-bottom: 100px;
	}


	/* the lovers */

	.numero-descrizione-doppia-parola P {
		margin-top: 0px;
		margin-bottom: 0px;
	}

	/* the wedding planners */
	/* eng */
	body.postid-20793 .masthead__background .of-cover-absolute {
		object-position: 30% 50% !important;
	}


}

/* table verticale custom */
@media (min-width: 768px) and (max-width: 991px) {

	/* index */
	body.home .section-portfolio-headings-centered__item {
		padding-bottom: 150px;
	}

}

/* tablet orizzontale in su (Elementor) */
@media screen and (min-width: 992px) {

	/* index */
	body.home .section-portfolio-headings-centered__item-header {
		top: 40%;
		transform: translateY(-40%);
	}

	/* the program - after party */
	body.postid-21393 .masthead__scroll-down {
		right: auto !important;
	}

}

/*  media query per pagina the program */
@media (min-width: 992px) and (max-height: 768px) {
	
	.day1.gallery-with-description-links .section-fullheight__inner .col-12:nth-of-type(1) .h-100 {
    	padding-top: 20px;
  		padding-bottom: 100px;
  	}

}


/* 	WOOCOMMERCE */

/* PAGINA PRODOTTO */

body.product-template-default .price {
	color: var(--paragraph-color) !important;
	font-size: calc(var(--paragraph-max-font-size) * 1.2px) !important;
	margin-top: 15px !important;
}

.product_title {
	font-size: 50px !important;
}

.woocommerce .cart_simple {
	background-color: transparent !important;
	border-radius: 0 !important;
}

.woocommerce .cart_simple select {
	padding: 5px 10px !important;
}

.woocommerce .cart_simple h6 {
	margin-bottom: calc(1 * 12 * 1px);
	margin-top: calc(1 * 12 * 1px);
}

.woocommerce span.required {
	color: #AF2323 !important;
	font-weight: bold !important;
	margin-left: 5px;
}

/* titoli select preferenze add-on */
#yith-wapo-addon-3 h6,
#yith-wapo-addon-4 h6,
#yith-wapo-addon-5 h6 {
	font-size: 15px;
}

/* titolo campo input wedding planner vuoto */
#yith-wapo-option-7-0 .option-container {
	display: none;
}


.min-error {
	margin-top: 5px !important;
	line-height: 15px;
}

.cart_simple .single_add_to_cart_button {
	background-color: #000 !important;
	border-radius: 0 !important;
}

.woocommerce .cart_simple a.added_to_cart {
	display: block !important;
	background-color: #fff !important;
	color: #000 !important;
	padding: 16px 24px !important;
	text-align: center !important;
	border-left: 0px !important;
	margin-top: 60px !important;
}

.elementor-widget-woocommerce-product-stock {
	display: none;
}

#tab-description h2 {
	display:  none;
}


/* CART */ 


/* Nasconde l'icona e il layer del mini-cart SOLO nelle pagine Carrello e Checkout */
body.woocommerce-cart .widget_shopping_cart .mini-cart__link,
body.woocommerce-checkout .widget_shopping_cart .mini-cart__link {
    display: none !important;
}



/* campo coupon rimosso in function 
.woocommerce-cart-form #coupon_code {
	width: 200px;
	margin-top: 4px;
}
*/


/* Nasconde la colonna Quantità nella tabella del carrello */
.woocommerce-cart table.cart th.product-quantity, 
.woocommerce-cart table.cart td.product-quantity {
    display: none !important;
}

/* Nasconde il bottone Aggiorna Carrello in WooCommerce */
button[name="update_cart"], 
input[name="update_cart"] {
    display: none !important;
}


/* dopo che ho nascosto il bottone Aggiorna Carrello, la riga sottostante è vuota, Toglie la linea (bordo) sopra alla riga vuota e azzera il suo spazio */
.woocommerce-cart-form__contents td.actions {
    border-top: none !important;
    padding: 0 !important;
}

.woocommerce-cart-form__cart-item.cart_item {
	border-bottom: 0px;
}

/* 2. Imposta la linea (bordo) sotto al prodotto con 1px solido nero */
.woocommerce-cart-form__contents tr.cart_item td {
    border-bottom: 1px solid #333333 !important;
}

/* imposta la larghezza alla colonna prezzo totale */
.woocommerce .cart-collaterals .cart_totals, 
.woocommerce-page .cart-collaterals .cart_totals {
	width: auto !important;
}

.cart_totals h2 {
	font-size: 50px;
}

.checkout-button {
	width: auto;
	max-width: 300px;
	padding: 15px !important;
}

/* CHECKOUT */

/* Nasconde il blocco di testo sulla Thank You Page di WooCommerce in checkout con l'endpoint order-received */
body.woocommerce-order-received .testo-solo-checkout {
    display: none !important;
}

a.showcoupon,
a.showlogin,
a.woocommerce-terms-and-conditions-link,
a.reserved-area {
	text-decoration: underline !important;
	font-weight: bold;
	color: #333333 !important;
}

/* form login */
.woocommerce form.login {
	margin-bottom: 40px !important;
}

.woocommerce-form-login__rememberme {
	margin: 10px 0 0 20px;
}

/* Forza le colonne a full width */
.woocommerce-checkout #customer_details .col2-set,
.woocommerce-checkout #customer_details .col-1,
.woocommerce-checkout #customer_details .col-2 {
    width: 100% !important;
    float: none !important;
}

/* Assicura che ogni campo sia full width */
.woocommerce-checkout .form-row {
    width: 100% !important;
    float: none !important;
    clear: both;
    margin-right: 0;
}


.woocommerce-checkout h3 {
	font-size: 40px;
}

.woocommerce-checkout h4 {
	font-size: 30px;
}	

.woocommerce-checkout .input-float__label {
	position: relative;
	top: auto;
	left: auto;
}	

.woocommerce-checkout input::placeholder,
.woocommerce-checkout textarea::placeholder {
	color: transparent;
}

.woocommerce-checkout input::-webkit-input-placeholder {
	color: transparent;
}

.woocommerce-checkout input::-moz-placeholder {
	color: transparent;
}

.woocommerce-checkout input:-ms-input-placeholder {
	color: transparent;
}

/*
.woocommerce-checkout #billing_company_field {
	display: none;
}
*/

.woocommerce-checkout .input-float__input_focused + .input-float__label,
.woocommerce-checkout .input-float__input_focused .input-float__label,
.woocommerce-checkout .input-float__input_not-empty + .input-float__label,
.woocommerce-checkout .input-float__input_not-empty .input-float__label {
	transform: none !important;
}

.woocommerce form .form-row label[for="billing_state"] ~ .woocommerce-input-wrapper .select2-container, 
.woocommerce form .form-row label[for="shipping_state"] ~ .woocommerce-input-wrapper .select2-container {
	margin-top: 0;
}	

:where(.woocommerce) .select2-container .select2-selection--single .select2-selection__rendered {
	padding: 0 0 0 .5em ;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
	height: 46px;
	width: 20px;
}	

.select2-container--default .select2-results__option--highlighted[aria-selected] {
	background-color: #e6f2ff;
	color: #000;
}

.select2-container--default .select2-results__option[aria-selected="true"] {
	background-color: #e6f2ff;
	color: #000;
}	

.woocommerce form .form-row .input-checkbox {
	width: 16px;
	margin: 0 0 4px 0;
}

/* FooEvents */
.woocommerce-additional-fields .select {
	background-color: #fff !important;
	font-family: inherit;
  	font-weight: 400;
	font-size: 18px !important;
  	letter-spacing: normal;
  	padding: .5em !important;
  	border: 1px solid rgba(32, 7, 7, 0.8) !important;
  	border-radius: 4px !important;
  	color: #000000 !important;
	line-height: 30px !important;
}


/* CHECKOUT - ORDER RECEIVED */

body.woocommerce-order-received .order-again {
	display: none;
}